For the complete documentation index, see llms.txt. This page is also available as Markdown.

Business Profile

Your WhatsApp Business Profile

get
Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Responses
200Success
application/json
addressstringRequired
descriptionstringRequired
emailstring · emailRequired
messaging_productstring · enumOptional
  • whatsapp - whatsapp
Possible values:
verticalstring · enumRequired
  • Automotive - Automotive
  • Beauty, Spa and Salon - Beauty, Spa and Salon
  • Clothing and Apparel - Clothing and Apparel
  • Education - Education
  • Entertainment - Entertainment
  • Event Planning and Service - Event Planning and Service
  • Finance and Banking - Finance and Banking
  • Food and Grocery - Food and Grocery
  • Public Service - Public Service
  • Hotel and Lodging - Hotel and Lodging
  • Medical and Health - Medical and Health
  • Non-profit - Non-profit
  • Professional Services - Professional Services
  • Shopping and Retail - Shopping and Retail
  • Travel and Transportation - Travel and Transportation
  • Restaurant - Restaurant
  • Other - Other
Possible values:
get/api/v1/settings/business/profile/
GET /api/v1/settings/business/profile/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "address": "text",
  "description": "text",
  "email": "name@gmail.com",
  "messaging_product": "whatsapp",
  "vertical": "Automotive",
  "websites": []
}
patch
Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Body
addressstringOptional
descriptionstringOptional
emailstring · emailOptional
messaging_productstring · enumOptional
  • whatsapp - whatsapp
Possible values:
verticalstring · enumOptional
  • Automotive - Automotive
  • Beauty, Spa and Salon - Beauty, Spa and Salon
  • Clothing and Apparel - Clothing and Apparel
  • Education - Education
  • Entertainment - Entertainment
  • Event Planning and Service - Event Planning and Service
  • Finance and Banking - Finance and Banking
  • Food and Grocery - Food and Grocery
  • Public Service - Public Service
  • Hotel and Lodging - Hotel and Lodging
  • Medical and Health - Medical and Health
  • Non-profit - Non-profit
  • Professional Services - Professional Services
  • Shopping and Retail - Shopping and Retail
  • Travel and Transportation - Travel and Transportation
  • Restaurant - Restaurant
  • Other - Other
Possible values:
Responses
200Success
application/json
addressstringRequired
descriptionstringRequired
emailstring · emailRequired
messaging_productstring · enumOptional
  • whatsapp - whatsapp
Possible values:
verticalstring · enumRequired
  • Automotive - Automotive
  • Beauty, Spa and Salon - Beauty, Spa and Salon
  • Clothing and Apparel - Clothing and Apparel
  • Education - Education
  • Entertainment - Entertainment
  • Event Planning and Service - Event Planning and Service
  • Finance and Banking - Finance and Banking
  • Food and Grocery - Food and Grocery
  • Public Service - Public Service
  • Hotel and Lodging - Hotel and Lodging
  • Medical and Health - Medical and Health
  • Non-profit - Non-profit
  • Professional Services - Professional Services
  • Shopping and Retail - Shopping and Retail
  • Travel and Transportation - Travel and Transportation
  • Restaurant - Restaurant
  • Other - Other
Possible values:
patch/api/v1/settings/business/profile/
PATCH /api/v1/settings/business/profile/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "address": "text",
  "description": "text",
  "email": "name@gmail.com",
  "messaging_product": "whatsapp",
  "vertical": "Automotive",
  "websites": []
}
200Success
{
  "address": "text",
  "description": "text",
  "email": "name@gmail.com",
  "messaging_product": "whatsapp",
  "vertical": "Automotive",
  "websites": []
}
get

Retrieve Profile Photo - only available for admin Users.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Responses
200Success
application/json
string · binaryOptional
get/api/v1/settings/profile/photo/
GET /api/v1/settings/profile/photo/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
binary
post

Update Profile Photo - only available for admin Users.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Body
file_encodedstring · uriWrite-onlyRequired

Binary file

Responses
200Success
application/json
file_encodedstring · uriWrite-onlyRequired

Binary file

post/api/v1/settings/profile/photo/
POST /api/v1/settings/profile/photo/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 38

{
  "file_encoded": "https://example.com"
}
200Success
{}
delete

Delete Profile Photo - only available for admin Users.

Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Responses
204

No response body

No content

delete/api/v1/settings/profile/photo/
DELETE /api/v1/settings/profile/photo/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
204

No response body

No content

post
Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Responses
202

Refresh operation is started and response is given immediately, before finish.

No content

post/api/v1/settings/refresh/issue/
POST /api/v1/settings/refresh/issue/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
202

Refresh operation is started and response is given immediately, before finish.

No content

get
Authorizations
AuthorizationstringRequired

A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.

Responses
200Success
application/json
currently_refreshingbooleanOptionalDefault: false
get/api/v1/settings/refresh/status/
GET /api/v1/settings/refresh/status/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
200Success
{
  "currently_refreshing": false
}

Last updated

Was this helpful?